import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
/**
 * Service used to manage Local Storage
 *
 * @author Joshua Kissoon
 * @since 20190623
 */
export declare class StorageService {
    private storageSub;
    constructor();
    watch(): Observable<any>;
    setItem(key: string, data: any): void;
    getItem(key: string): string;
    removeItem(key: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StorageService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<StorageService>;
}
